<?php
namespace Claromentis\Core\DAL;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array();




interface ResultInterface
{
    
    
    
    
    
    
    public function fetchRow();
    
    
    
    
    
    
    public function fetchArray();
    
    
    
    
    
    
    
    
    
    
    public function numRows();
    
    
    
    
    
    
    public function hasData();
    
    
    
    
    
    
    
    public function fetchAllValues();
    
    
    
    
    
    
    public function free();
}